<html>
<head>
<title>OGRE: OgreAny.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreAny.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreException_8h-source.html">OgreException.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &lt;algorithm&gt;</code><br>
<code>#include &lt;typeinfo&gt;</code><br>

<p>
<a href="OgreAny_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html">Ogre::Any</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Variant type that can hold <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> other type.  <a href="classOgre_1_1Any.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">Ogre::Any::placeholder</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html">Ogre::Any::holder&lt; ValueType &gt;</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html">Ogre::AnyNumeric</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / .  <a href="classOgre_1_1AnyNumeric.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">Ogre::AnyNumeric::numplaceholder</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a></td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7e84acb572a287422e0ec01ee05a415b">Ogre::any_cast</a> (Any *operand)</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">const ValueType *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a8c3ed189e03dfaa9d5c1135b6f94f99">Ogre::any_cast</a> (const Any *operand)</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#af49a79a11723c36dc1c2296fa16e454">Ogre::any_cast</a> (const Any &amp;operand)</td></tr>

</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
